Bug 45911 - crash when drag/drop slide between two instances of Impress
Summary: crash when drag/drop slide between two instances of Impress
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:3.6.5
Keywords: regression
: 45319 59731 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-02-10 13:25 UTC by jkonecny
Modified: 2013-11-15 15:50 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Bug 45911 - WinDbg session with FAILED_SOURCE_CODE (55.76 KB, text/plain)
2012-06-04 05:34 UTC, bfoman (inactive)
Details
OSX Crash Report using LibreOffice 3.5.3.2 (54.37 KB, text/plain)
2012-06-04 06:30 UTC, Ken Brucker
Details
bt + console msgs on master (24.30 KB, text/plain)
2012-07-08 12:35 UTC, Julien Nabet
Details
bt with master (5.36 KB, text/plain)
2012-11-03 13:28 UTC, Julien Nabet
Details
Bug 45911 - WinDbg session with FAILED_SOURCE_CODE (21.24 KB, text/plain)
2013-01-11 14:15 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jkonecny 2012-02-10 13:25:43 UTC
Open Impress twice (first instance referred to as 1, second instance as 2) each time skipping the wizard and create an empty presentation.  Drag the default created slide from 2 into the left panel of 1.  Close 2, close 1.  When 1 is closed Impress will crash.
Comment 1 sasha.libreoffice 2012-04-03 05:41:21 UTC
reproduced in 3.5.1 on Fedora 64 bit and Windows XP and 7 32 bit
not reproducible in 3.3.4 on Fedora, therefore regression
Comment 2 bfoman (inactive) 2012-06-04 05:34:11 UTC
Created attachment 62502 [details]
Bug 45911 - WinDbg session with FAILED_SOURCE_CODE

Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Crash upon exiting #1 instance of Impress.

Attached full WinDbg session with FAILED_SOURCE_CODE.
Comment 3 Ken Brucker 2012-06-04 06:29:18 UTC
Attaching OSX crash log - See same crash following these instructions.  I did move several slides before saving and closing both files.

OSX 10.6.8
LibreOffice 3.5.3.2 
Build ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b8
Comment 4 Ken Brucker 2012-06-04 06:30:54 UTC
Created attachment 62506 [details]
OSX Crash Report using LibreOffice 3.5.3.2
Comment 5 bfoman (inactive) 2012-06-28 08:33:26 UTC
*** Bug 45319 has been marked as a duplicate of this bug. ***
Comment 6 Julien Nabet 2012-07-08 12:35:51 UTC
Created attachment 63982 [details]
bt + console msgs on master

On pc Debian x86-64, with master sources updated today, I reproduced the problem.

I attached console logs + bt
Comment 7 jkonecny 2012-11-02 12:32:26 UTC
reproduced on 3.6.3.2
Comment 8 sasha.libreoffice 2012-11-03 08:58:14 UTC
Thanks for attitonal testing
"Version" is most old version where bug first time appears. Not current version of LO. Changing back to 3.4.5 release
Comment 9 Julien Nabet 2012-11-03 13:28:07 UTC
Created attachment 69486 [details]
bt with master

On pc Debian x86-64 with master sources updated yesterday, I reproduced the problem.
Comment 10 Julien Nabet 2012-11-03 13:32:01 UTC
Caolán: with 3.6 sources, cherrying picking this commit seems to solve the problem:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=7887a4e0adb0d60e6b013808dc27eccddd1c0324

On master sources, I've got the crash when I close instance 2 and retrieved the last bt.
I noticed that this patch prevents it:
diff --git a/vcl/source/window/window.cxx b/vcl/source/window/window.cxx
index 6d5c36d..fc580db 100644
--- a/vcl/source/window/window.cxx
+++ b/vcl/source/window/window.cxx
@@ -8541,7 +8541,7 @@ uno::Reference< XClipboard > Window::GetPrimarySelection()
             return pChild->GetAccessible();
     }
     */
-    if ( !mpWindowImpl->mxAccessible.is() && bCreate )
+    if ( mpWindowImpl->mxAccessible.is() && bCreate )

What's your idea about all this?
Comment 11 Julien Nabet 2012-11-03 14:41:37 UTC
Sorry, patch is wrong obviously :(
Comment 12 Michael Meeks 2012-12-06 16:15:01 UTC
Could this be related to bu#51023# - and/or does it persist in 3.6.4 ? :-)
Comment 13 NoOp 2013-01-07 20:04:50 UTC
Reproduced on 3.6.4.3  (linux)
Version 3.6.4.3 (Build ID: 2ef5aff

$ cat /opt/libreoffice3.6/program/versionrc
[Version]
AllLanguages=en-US
BuildVersion=
buildid=2ef5aff-a6fb0ff-166bdff-cf087ad-0f1389
ExtensionUpdateURL=http://updateexte.libreoffice.org/ExtensionUpdateService/check.Update
ProductBuildid=3
ProductMajor=360
ProductMinor=1
ProductSource=OOO360
ReferenceOOoMajorMinor=3.4
UpdateID=LibreOffice_3_en-US
UpdateURL=http://update.libreoffice.org/check.php?pkgfmt=deb
UpdateUserAgent=<PRODUCT> (${buildid}; ${_OS}; ${_ARCH}; BundledLanguages=${AllLanguages})
Vendor=The Document Foundation
Comment 14 NoOp 2013-01-07 20:11:00 UTC
Replicated in Windows version of Version 3.6.4.3 (Build ID: 2ef5aff) as well.
Comment 15 Caolán McNamara 2013-01-09 14:04:45 UTC
I can reproduce on 3-6, I can't reproduce on 4-0 and, like julien suggests, after cherry-picking 7887a4e0adb0d60e6b013808dc27eccddd1c0324 it doesn't crash anymore and valgrind is warning free about it.
Comment 16 Caolán McNamara 2013-01-09 14:07:22 UTC
Given that its fixed in 4.0 I'll mark this as resolved. Patch now proposed for 3-6 on gerrit.
Comment 17 Not Assigned 2013-01-10 10:01:57 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=72980e72a2d380d5e5a9c7b56a8df0a3ac1e93d0&h=libreoffice-3-6

Resolves: fdo#45911 rhbz#846775 Clipboard must be disposed before Selection


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 bfoman (inactive) 2013-01-11 14:15:06 UTC
Created attachment 72856 [details]
Bug 45911 - WinDbg session with FAILED_SOURCE_CODE

Confirmed with:
LO 4.0.0.1
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Impress still crashes while copying slide between instances.

Attached full WinDbg session with FAILED_SOURCE_CODE.
Comment 19 Rainer Bielefeld Retired 2013-01-23 09:45:24 UTC
*** Bug 59731 has been marked as a duplicate of this bug. ***
Comment 20 Caolán McNamara 2013-09-17 19:14:20 UTC
How about now in the 4.1.X releases, I'm sure we fixed something similar there.
Comment 21 jkonecny 2013-09-17 19:36:12 UTC
Appears fixed in 4.1.1.2 (windows).
Comment 22 Julien Nabet 2013-09-17 19:38:41 UTC
On pc Debian x86-64 with LO 4.1.1.2 Debian package, it doesn't crash too.
So it seems resolved now. 
Caolán: thank you for having pointed this one.
jkonecny: thank you for the test on Windows.

If someone reproduces this, please don't hesitate to reopen this tracker.
Comment 23 jkonecny 2013-09-17 19:46:45 UTC
No big deal but shouldn't this be "fixed" instead of "worksforme"?
Comment 24 Julien Nabet 2013-09-17 19:51:53 UTC
jkonecny: I put WFM because there's no specific fix(es) known for this tracker.
Comment 25 jkonecny 2013-09-17 19:54:02 UTC
Thanks for the clarification.  Sorry for the clutter.